Subject: Re: [Sipping] [RAI] Expert review of draft-sinnreich-sip-tools-03

From: Bernard Aboba <[email-masked]>
Date: Wed, 22 Oct 2008 14:47:11 -0700

Alan Johnston said:
 
" I think that many people will applaud and understand this draft, but 
those people aren't the ones who post on the RAI lists every day.  
They are the poor implementors who are trying to get by and 
interoperate given the mess we have created."
 
I recently had the experience of helping put together a VOIP RFP for a small medical practice.  Most of the vendors I talked to where unaware of many of the drafts under development in the RAI area (let alone the published RFCs).  Among the vendors I talked to, simplicity is not only popular, it's really the only game in town, at least for those that make their living creating products that interoperate. For vendors with modest margins complexity is an unaffordable luxury. 
 
Given my experience, it strikes me that there really might be a significant community out there willing to get behind this document.  That community might even represent a significant fraction of all the VOIP accounts, handsets, etc. in usage today. While I'm not clear how closely the core SIP functionality implemented in these products conforms to the specifications cited in your draft (judging by SIPIt results, there are probably quite a few issues), my guess is that the set of core documents they are paying attention to is probably pretty close -- and it seems worthwhile to put in some effort to find out. 
 
As an aside, during my discussions with vendors, I received quite a bit of "feedback" relating to the complexity and practicality of the SIP architecture. Merely mentioning the IETF resulted in several rants about SIP interoperability issues, and perceived excessive complexity.  On one occasion, I actually had to put down the phone since the vendor was screaming so loudly.  Let's just say that if and when I meet with the vendors in person, I'm not planning to wear my IETF tee-shirt or computer carry bag :)

_______________________________________________
Sipping mailing list  https://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP